## org.h2.command.ddl
Class CreateConstant

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SchemaCommand
                  org.h2.command.ddl.CreateConstant

    public class CreateConstant

extends SchemaCommand

This class represents the statement CREATE CONSTANT

Field Summary

Fields inherited from class org.h2.command.ddl.DefineCommand
`transactional`

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`CreateConstant(Session session, Schema schema)`

Method Summary
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setConstantName(java.lang.String constantName)`
`void` `setExpression(Expression expr)`
`void` `setIfNotExists(boolean ifNotExists)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.SchemaCommand
`getSchema`

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta, setTransactional`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateConstant

    public CreateConstant(Session session,
                          Schema schema)

Method Detail

### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setConstantName

    public void setConstantName(java.lang.String constantName)

### setExpression

    public void setExpression(Expression expr)

### getType

    public int getType()

  Description copied from class: `Prepared`
  Get the command type as defined in CommandInterface

  Specified by:
    `getType` in class `Prepared`
  Returns:
    the statement type